#OK SAM

# push.f
# Copyright (C) 2003, 2004, 2005, 2006, 2007, 2008, 2010, 2011 Joseph
# Rosevear

# This file is part of The SAM Kernel.

# The SAM Kernel is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# The SAM Kernel is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



# JHR 110819 I replaced "declare -x" with "export" for improved POSIX
# compliance.

# JHR 111221 I changed
#
# export | $sam/slice | $sam/exp_filt.exe > $sam_temp_dir/export$sam_env_num.dat
# to
# export | $sam/slice > $sam_temp_dir/export$sam_env_num.dat
#
# This amounts to just removing the use of exp_filt.exe.  It was
# intended as a tool to replace "declare -x" with "export", but it
# doesn't even check for "declare -x".  It just assumes the first 11
# characters are "declare -x ".  This caused trouble when "declare -x"
# wasn't there as happened when run in sh instead of bash ("export" was
# there instead).  And I don't need to replace "declare -x" with
# "export" anyway as they both work the same in bash and sh.



push() {

   #record current environment and chmod to 644
   set | $sam/set_filt.exe $sam_set_version set > $sam_temp_dir/set$sam_env_num.dat

#   export | $sam/slice > $sam_temp_dir/export$sam_env_num.dat
   export | $sam/slice | exp_filt.exe > $sam_temp_dir/export$sam_env_num.dat

   chmod 644 $sam_temp_dir/set$sam_env_num.dat
   chmod 644 $sam_temp_dir/export$sam_env_num.dat

   #increment environment number
   let sam_env_num++

   #set the prompt
   export PS1="\n$sam_file:$level $sam_env_num$sam_symbol\n\u@\h:\w\$ "
   
   return
}
